package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.OrderSound;

/**
 * 服务订单录音文件Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IOrderSoundService 
{
    /**
     * 查询服务订单录音文件
     * 
     * @param id 服务订单录音文件主键
     * @return 服务订单录音文件
     */
    public OrderSound selectOrderSoundById(Integer id);



    public int  selectCountOrderSoundByOid(long oid);



    public List<OrderSound>  selectOrderSoundByOid(long oid);

    
    public List<OrderSound> selectOrderCallRecordsByOid(Long oid);
    /**
     * 查询服务订单录音文件列表
     * 
     * @param orderSound 服务订单录音文件
     * @return 服务订单录音文件集合
     */
    public List<OrderSound> selectOrderSoundList(OrderSound orderSound);

    /**
     * 新增服务订单录音文件
     * 
     * @param orderSound 服务订单录音文件
     * @return 结果
     */
    public int insertOrderSound(OrderSound orderSound);

    /**
     * 修改服务订单录音文件
     * 
     * @param orderSound 服务订单录音文件
     * @return 结果
     */
    public int updateOrderSound(OrderSound orderSound);

    /**
     * 批量删除服务订单录音文件
     * 
     * @param ids 需要删除的服务订单录音文件主键集合
     * @return 结果
     */
    public int deleteOrderSoundByIds(Integer[] ids);

    /**
     * 删除服务订单录音文件信息
     * 
     * @param id 服务订单录音文件主键
     * @return 结果
     */
    public int deleteOrderSoundById(Integer id);
}
